%define mod_path %{_libdir}/testthis
%define nagios_cfg /opt/monitor/etc/nagios.cfg
%define naemon_cfg /opt/monitor/etc/naemon.cfg

%define daemon_group apache

%{?dgroup:%define daemon_group %{dgroup}}

Summary: testthis is a module to run custom commands through nagios worker processes in a simulated environment
Name: monitor-testthis
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Group: op5/Monitor
URL: http://www.op5.se
Source0: %name-%version.tar.gz
Prefix: /opt/monitor
Obsoletes: monitor-testthis-slim
Requires: op5-naemon

BuildRoot: %{_tmppath}/%{name}-%{version}

BuildRequires: op5-naemon-devel

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: check-devel
BuildRequires: pkgconfig
BuildRequires: libtool


%description
%name is an eventbroker module for op5 Monitor to run custom commands through
the nagios worker processes. It uses the query handler to listen for commands
and to set up a simulated environment with fictive objects, to be able to
test run commands before writing them to the configuration.

%package slim
Summary: testthis is a module to run custom commands through nagios worker processes in a simulated environment

BuildRoot: %{_tmppath}/%{name}-%{version}

%description slim
%name is an eventbroker module for op5 Monitor to run custom commands through
the nagios worker processes. It uses the query handler to listen for commands
and to set up a simulated environment with fictive objects, to be able to
test run commands before writing them to the configuration.


%prep
%setup -q


%build
echo %{version} > .version_number
autoreconf -i
%configure
%__make V=1


%check
%__make check V=1


%install
%__make install DESTDIR=%buildroot

mkdir -p %buildroot/opt/monitor/etc/mconf
sed -e 's#@mod_path@#%{mod_path}#' \
	testthis.cfg.in > %buildroot/opt/monitor/etc/mconf/testthis.cfg

# Copy to the slim-poller default config location
mkdir -p %buildroot/usr/local/etc/naemon/default_config/mconf/
cp %buildroot/opt/monitor/etc/mconf/testthis.cfg %buildroot/usr/local/etc/naemon/default_config/mconf/


%post
if grep -q 'broker_module.*testthis\.so' %nagios_cfg; then
	sed --follow-symlinks -i '\#^broker_module=%mod_path/testthis.so#d' %nagios_cfg
fi
systemctl restart naemon || :

%post slim
if grep -q 'broker_module.*testthis\.so' %naemon_cfg; then
	sed --follow-symlinks -i '\#^broker_module=%mod_path/testthis.so#d' %naemon_cfg
fi

%files
%defattr(-,root,root)
%mod_path
%attr(640,monitor,%daemon_group) /opt/monitor/etc/mconf/testthis.cfg

%files slim
%defattr(-,root,root)
%mod_path
%attr(640,monitor,root) /usr/local/etc/naemon/default_config/mconf/testthis.cfg

%clean
rm -rf %buildroot

%changelog
* Tue Mar 03 2020 Jacob Hansen <jhansen@op5.com>
- Add slim poller specific package.
* Tue Jun 14 2011 Max Sikstrom <msikstrom@op5.com>
- Initial specfile creation.
